# MatCholeskyCheckShift_inline

shift the diagonals when zero pivot is detected on Cholesky factor

### Synopsis

    #define MatCholeskyCheckShift_inline(info,sctx,row,newshift) 0; \

Collective on Mat

### Input Parameters

| info | - information about the matrix factorization
| sctx | - pointer to the struct CholeskyShift_Ctx
| row | - pivot row
| newshift | - 0: shift is unchanged; 1: shft is updated; -1: zeropivot

### Note: Unlike in the ILU case there is no exit condition on nshift

we increase the shift until it converges. There is no guarantee that this algorithm converges faster or slower, or is better or worse than the ILU algorithm.

Level:developer
Location: src/mat/../../include/private/matimpl.h
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages